Feature #4176

Update aws-sdk-ruby gem to version 2

Added by Daniel Molina about 5 years ago. Updated over 4 years ago.

Status:ClosedStart date:11/20/2015
Priority:NormalDue date:
Assignee:Javi Fontan% Done:

0%

Category:Drivers - VM
Target version:Release 5.2
Resolution:fixed Pull request:

Description

This version supports custom endpoints and could be used to connect to other OpenNebula deployment exposing the EC2 API interface

Gemfile (986 Bytes) Javi Fontan, 08/22/2016 03:24 PM

Associated revisions

Revision 95313155
Added by Javi Fontan over 4 years ago

feature #4176: Update aws-sdk gem to version 2

Revision fbf8d4be
Added by Javi Fontan over 4 years ago

feature #4176: change aws-sdk version in install_gems

History

#1 Updated by Daniel Molina almost 5 years ago

eu-central-1 (Frankfurt) requires signature v4 and it is not supported in aws-sdk-v1

#2 Updated by OpenNebula Systems Support Team over 4 years ago

  • Target version set to Release 5.0

#3 Updated by Ruben S. Montero over 4 years ago

  • Assignee set to Jaime Melis

#4 Updated by Ruben S. Montero over 4 years ago

  • Assignee changed from Jaime Melis to Tino Vázquez

#5 Updated by Tino Vázquez over 4 years ago

  • Tracker changed from Feature to Backlog

#6 Updated by Ruben S. Montero over 4 years ago

  • Tracker changed from Backlog to Feature
  • Target version changed from Release 5.0 to Release 5.2

#8 Updated by Ruben S. Montero over 4 years ago

  • Assignee changed from Tino Vázquez to Javi Fontan

#9 Updated by Javi Fontan over 4 years ago

Attached is the Gemspec that could be used to install gems. It still needs install_gems bits to install needed system dependencies and maybe fine tuning versions for some packages.

#10 Updated by Javi Fontan over 4 years ago

  • Status changed from New to Closed
  • Resolution set to fixed

Also available in: Atom PDF